Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlDatascroller

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.richfaces.component.UIDatascroller
                          org.richfaces.component.html.HtmlDatascroller

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, org.richfaces.event.DataScrollerSource

    public class HtmlDatascroller

extends UIDatascroller

Component-Type org.richfaces.Datascroller Component-Family org.richfaces.Datascroller Renderer-Type org.richfaces.DataScrollerRenderer

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIDatascroller
`FAST_FORWARD_DISABLED_FACET_NAME, FAST_FORWARD_FACET_NAME, FAST_REWIND_DISABLED_FACET_NAME, FAST_REWIND_FACET_NAME, FIRST_DISABLED_FACET_NAME, FIRST_FACET_NAME, LAST_DISABLED_FACET_NAME, LAST_FACET_NAME, NEXT_DISABLED_FACET_NAME, NEXT_FACET_NAME, PREVIOUS_DISABLED_FACET_NAME, PREVIOUS_FACET_NAME`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlDatascroller()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAlign()` left|center|right [CI] Deprecated.
`java.lang.String` | `getBinding()` The attribute takes a value-binding expression for a component property of a backing bean Getter for binding
`java.lang.String` | `getBoundaryControls()` Possible values are: "show" - default mode.
`java.lang.Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFastControls()` Possible values are: "show" - default mode.
`int` | `getFastStep()` The attribute indicates pages quantity to switch onto when fast scrolling is used Getter for fastStep
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`java.lang.String` | `getFor()` ID of the table component whose data is scrollled Getter for for
`java.lang.String` | `getHandleValue()` Current handle value Getter for handleValue
`java.lang.String` | `getInactiveStyle()` Corresponds to the HTML style attribute for the inactive cell on scroller Getter for inactiveStyle
`java.lang.String` | `getInactiveStyleClass()` Corresponds to the HTML class attribute for the inactive cell on scroller Getter for inactiveStyleClass
`int` | `getMaxPages()` Maximum quantity of pages Getter for maxPages
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getOnpagechange()` ${prop.xmlEncodedDescription} Getter for onpagechange
`java.lang.String` | `getPageIndexVar()` Name of variable in request scope containing index of active page Getter for pageIndexVar
`java.lang.String` | `getPagesVar()` Name of variable in request scope containing number of pages Getter for pagesVar
`int` | `getRequestDelay()` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`java.lang.Object` | `getReRender()` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`javax.faces.el.MethodBinding` | `getScrollerListener()` MethodBinding representing an action listener method that will be notified after scrolling Getter for scrollerListener
`java.lang.String` | `getSelectedStyle()` Corresponds to the HTML style attribute for the selected cell on scroller Getter for selectedStyle
`java.lang.String` | `getSelectedStyleClass()` Corresponds to the HTML class attribute for the selected cell on scroller Getter for selectedStyleClass
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`java.lang.String` | `getStepControls()` Possible values are: "show" - default mode.
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTableStyle()` CSS style(s) is/are to be applied to outside table when this component is rendered Getter for tableStyle
`java.lang.String` | `getTableStyleClass()` Space-separated list of CSS style class(es) that are be applied to outside table of this component Getter for tableStyleClass
`int` | `getTimeout()` Response waiting time on a particular request.
`boolean` | `isAjaxSingle()` If "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property.
`boolean` | `isRenderIfSinglePage()` If renderIfSinglePage=true then datascroller is displayed on condition that the data hold on one page Getter for renderIfSinglePage
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxSingle(boolean __ajaxSingle)` If "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle
`void` | `setAlign(java.lang.String __align)` left|center|right [CI] Deprecated.
`void` | `setBinding(java.lang.String __binding)` The attribute takes a value-binding expression for a component property of a backing bean Setter for binding
`void` | `setBoundaryControls(java.lang.String __boundaryControls)` Possible values are: "show" - default mode.
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setData(java.lang.Object __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFastControls(java.lang.String __fastControls)` Possible values are: "show" - default mode.
`void` | `setFastStep(int __fastStep)` The attribute indicates pages quantity to switch onto when fast scrolling is used Setter for fastStep
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setFor(java.lang.String __for)` ID of the table component whose data is scrollled Setter for for
`void` | `setHandleValue(java.lang.String __handleValue)` Current handle value Setter for handleValue
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
`void` | `setInactiveStyle(java.lang.String __inactiveStyle)` Corresponds to the HTML style attribute for the inactive cell on scroller Setter for inactiveStyle
`void` | `setInactiveStyleClass(java.lang.String __inactiveStyleClass)` Corresponds to the HTML class attribute for the inactive cell on scroller Setter for inactiveStyleClass
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setMaxPages(int __maxPages)` Maximum quantity of pages Setter for maxPages
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setOnpagechange(java.lang.String __onpagechange)` ${prop.xmlEncodedDescription} Setter for onpagechange
`void` | `setPageIndexVar(java.lang.String __pageIndexVar)` Name of variable in request scope containing index of active page Setter for pageIndexVar
`void` | `setPagesVar(java.lang.String __pagesVar)` Name of variable in request scope containing number of pages Setter for pagesVar
`void` | `setRenderIfSinglePage(boolean __renderIfSinglePage)` If renderIfSinglePage=true then datascroller is displayed on condition that the data hold on one page Setter for renderIfSinglePage
`void` | `setRequestDelay(int __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setReRender(java.lang.Object __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setScrollerListener(javax.faces.el.MethodBinding __scrollerListener)` MethodBinding representing an action listener method that will be notified after scrolling Setter for scrollerListener
`void` | `setSelectedStyle(java.lang.String __selectedStyle)` Corresponds to the HTML style attribute for the selected cell on scroller Setter for selectedStyle
`void` | `setSelectedStyleClass(java.lang.String __selectedStyleClass)` Corresponds to the HTML class attribute for the selected cell on scroller Setter for selectedStyleClass
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setStepControls(java.lang.String __stepControls)` Possible values are: "show" - default mode.
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTableStyle(java.lang.String __tableStyle)` CSS style(s) is/are to be applied to outside table when this component is rendered Setter for tableStyle
`void` | `setTableStyleClass(java.lang.String __tableStyleClass)` Space-separated list of CSS style class(es) that are be applied to outside table of this component Setter for tableStyleClass
`void` | `setTimeout(int __timeout)` Response waiting time on a particular request.

Methods inherited from class org.richfaces.component.UIDatascroller
`addScrollerListener, broadcast, getDataTable, getFastForward, getFastRewind, getFirst, getFirstRow, getLast, getNext, getPageCount, getPageCount, getPageIndex, getPageIndex, getPrevious, getRowCount, getRowCount, getRows, getScrollerListeners, removeScrollerListener, setFirstRow, setPage`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ActionSource
`addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlDatascroller

    public HtmlDatascroller()

  Constructor to init default renderers

Method Detail

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  If "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Specified by:
    `setAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `setAjaxSingle` in class `UIDatascroller`
  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  If "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Specified by:
    `isAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `isAjaxSingle` in class `UIDatascroller`
  Returns:
    ajaxSingle value from local variable or value bindings

### setAlign

    public void setAlign(java.lang.String __align)

  left|center|right [CI] Deprecated. This attribute specifies the position of the table with respect to the document. Permitted values: * left: The table is to the left of the document. * center: The table is to the center of the document. * right: The table is to the right of the document Setter for align

  Specified by:
    `setAlign` in class `UIDatascroller`
  Parameters:
    `align` - - new value

### getAlign

    public java.lang.String getAlign()

  left|center|right [CI] Deprecated. This attribute specifies the position of the table with respect to the document. Permitted values: * left: The table is to the left of the document. * center: The table is to the center of the document. * right: The table is to the right of the document Getter for align

  Specified by:
    `getAlign` in class `UIDatascroller`
  Returns:
    align value from local variable or value bindings

### setBinding

    public void setBinding(java.lang.String __binding)

  The attribute takes a value-binding expression for a component property of a backing bean Setter for binding

  Parameters:
    `binding` - - new value

### getBinding

    public java.lang.String getBinding()

  The attribute takes a value-binding expression for a component property of a backing bean Getter for binding

  Returns:
    binding value from local variable or value bindings

### setBoundaryControls

    public void setBoundaryControls(java.lang.String __boundaryControls)

  Possible values are: "show" - default mode. Controls are visible always. "hide" - controls are hidden. "auto" - unnecessary controls are hidden Setter for boundaryControls

  Specified by:
    `setBoundaryControls` in class `UIDatascroller`
  Parameters:
    `boundaryControls` - - new value

### getBoundaryControls

    public java.lang.String getBoundaryControls()

  Possible values are: "show" - default mode. Controls are visible always. "hide" - controls are hidden. "auto" - unnecessary controls are hidden Getter for boundaryControls

  Specified by:
    `getBoundaryControls` in class `UIDatascroller`
  Returns:
    boundaryControls value from local variable or value bindings

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Getter for bypassUpdates

  Returns:
    bypassUpdates value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Getter for data

  Returns:
    data value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Specified by:
    `setEventsQueue` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `setEventsQueue` in class `UIDatascroller`
  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Getter for eventsQueue

  Specified by:
    `getEventsQueue` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `getEventsQueue` in class `UIDatascroller`
  Returns:
    eventsQueue value from local variable or value bindings

### setFastControls

    public void setFastControls(java.lang.String __fastControls)

  Possible values are: "show" - default mode. Controls are visible always. "hide" - controls are hidden. "auto" - unnecessary controls are hidden Setter for fastControls

  Specified by:
    `setFastControls` in class `UIDatascroller`
  Parameters:
    `fastControls` - - new value

### getFastControls

    public java.lang.String getFastControls()

  Possible values are: "show" - default mode. Controls are visible always. "hide" - controls are hidden. "auto" - unnecessary controls are hidden Getter for fastControls

  Specified by:
    `getFastControls` in class `UIDatascroller`
  Returns:
    fastControls value from local variable or value bindings

### setFastStep

    public void setFastStep(int __fastStep)

  The attribute indicates pages quantity to switch onto when fast scrolling is used Setter for fastStep

  Specified by:
    `setFastStep` in class `UIDatascroller`
  Parameters:
    `fastStep` - - new value

### getFastStep

    public int getFastStep()

  The attribute indicates pages quantity to switch onto when fast scrolling is used Getter for fastStep

  Specified by:
    `getFastStep` in class `UIDatascroller`
  Returns:
    fastStep value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Returns:
    focus value from local variable or value bindings

### setFor

    public void setFor(java.lang.String __for)

  ID of the table component whose data is scrollled Setter for for

  Specified by:
    `setFor` in class `UIDatascroller`
  Parameters:
    `for` - - new value

### getFor

    public java.lang.String getFor()

  ID of the table component whose data is scrollled Getter for for

  Specified by:
    `getFor` in class `UIDatascroller`
  Returns:
    for value from local variable or value bindings

### setHandleValue

    public void setHandleValue(java.lang.String __handleValue)

  Current handle value Setter for handleValue

  Parameters:
    `handleValue` - - new value

### getHandleValue

    public java.lang.String getHandleValue()

  Current handle value Getter for handleValue

  Returns:
    handleValue value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses

  Returns:
    ignoreDupResponses value from local variable or value bindings

### setInactiveStyle

    public void setInactiveStyle(java.lang.String __inactiveStyle)

  Corresponds to the HTML style attribute for the inactive cell on scroller Setter for inactiveStyle

  Specified by:
    `setInactiveStyle` in class `UIDatascroller`
  Parameters:
    `inactiveStyle` - - new value

### getInactiveStyle

    public java.lang.String getInactiveStyle()

  Corresponds to the HTML style attribute for the inactive cell on scroller Getter for inactiveStyle

  Specified by:
    `getInactiveStyle` in class `UIDatascroller`
  Returns:
    inactiveStyle value from local variable or value bindings

### setInactiveStyleClass

    public void setInactiveStyleClass(java.lang.String __inactiveStyleClass)

  Corresponds to the HTML class attribute for the inactive cell on scroller Setter for inactiveStyleClass

  Specified by:
    `setInactiveStyleClass` in class `UIDatascroller`
  Parameters:
    `inactiveStyleClass` - - new value

### getInactiveStyleClass

    public java.lang.String getInactiveStyleClass()

  Corresponds to the HTML class attribute for the inactive cell on scroller Getter for inactiveStyleClass

  Specified by:
    `getInactiveStyleClass` in class `UIDatascroller`
  Returns:
    inactiveStyleClass value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Getter for limitToList

  Returns:
    limitToList value from local variable or value bindings

### setMaxPages

    public void setMaxPages(int __maxPages)

  Maximum quantity of pages Setter for maxPages

  Specified by:
    `setMaxPages` in class `UIDatascroller`
  Parameters:
    `maxPages` - - new value

### getMaxPages

    public int getMaxPages()

  Maximum quantity of pages Getter for maxPages

  Specified by:
    `getMaxPages` in class `UIDatascroller`
  Returns:
    maxPages value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Returns:
    oncomplete value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setOnpagechange

    public void setOnpagechange(java.lang.String __onpagechange)

  ${prop.xmlEncodedDescription} Setter for onpagechange

  Parameters:
    `onpagechange` - - new value

### getOnpagechange

    public java.lang.String getOnpagechange()

  ${prop.xmlEncodedDescription} Getter for onpagechange

  Returns:
    onpagechange value from local variable or value bindings

### setPageIndexVar

    public void setPageIndexVar(java.lang.String __pageIndexVar)

  Name of variable in request scope containing index of active page Setter for pageIndexVar

  Parameters:
    `pageIndexVar` - - new value

### getPageIndexVar

    public java.lang.String getPageIndexVar()

  Name of variable in request scope containing index of active page Getter for pageIndexVar

  Returns:
    pageIndexVar value from local variable or value bindings

### setPagesVar

    public void setPagesVar(java.lang.String __pagesVar)

  Name of variable in request scope containing number of pages Setter for pagesVar

  Parameters:
    `pagesVar` - - new value

### getPagesVar

    public java.lang.String getPagesVar()

  Name of variable in request scope containing number of pages Getter for pagesVar

  Returns:
    pagesVar value from local variable or value bindings

### setReRender

    public void setReRender(java.lang.Object __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### getReRender

    public java.lang.Object getReRender()

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Getter for reRender

  Returns:
    reRender value from local variable or value bindings

### setRenderIfSinglePage

    public void setRenderIfSinglePage(boolean __renderIfSinglePage)

  If renderIfSinglePage=true then datascroller is displayed on condition that the data hold on one page Setter for renderIfSinglePage

  Specified by:
    `setRenderIfSinglePage` in class `UIDatascroller`
  Parameters:
    `renderIfSinglePage` - - new value

### isRenderIfSinglePage

    public boolean isRenderIfSinglePage()

  If renderIfSinglePage=true then datascroller is displayed on condition that the data hold on one page Getter for renderIfSinglePage

  Specified by:
    `isRenderIfSinglePage` in class `UIDatascroller`
  Returns:
    renderIfSinglePage value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Specified by:
    `setRequestDelay` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `setRequestDelay` in class `UIDatascroller`
  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Getter for requestDelay

  Specified by:
    `getRequestDelay` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `getRequestDelay` in class `UIDatascroller`
  Returns:
    requestDelay value from local variable or value bindings

### setScrollerListener

    public void setScrollerListener(javax.faces.el.MethodBinding __scrollerListener)

  MethodBinding representing an action listener method that will be notified after scrolling Setter for scrollerListener

  Specified by:
    `setScrollerListener` in class `UIDatascroller`
  Parameters:
    `scrollerListener` - - new value

### getScrollerListener

    public javax.faces.el.MethodBinding getScrollerListener()

  MethodBinding representing an action listener method that will be notified after scrolling Getter for scrollerListener

  Specified by:
    `getScrollerListener` in class `UIDatascroller`
  Returns:
    scrollerListener value from local variable or value bindings

### setSelectedStyle

    public void setSelectedStyle(java.lang.String __selectedStyle)

  Corresponds to the HTML style attribute for the selected cell on scroller Setter for selectedStyle

  Specified by:
    `setSelectedStyle` in class `UIDatascroller`
  Parameters:
    `selectedStyle` - - new value

### getSelectedStyle

    public java.lang.String getSelectedStyle()

  Corresponds to the HTML style attribute for the selected cell on scroller Getter for selectedStyle

  Specified by:
    `getSelectedStyle` in class `UIDatascroller`
  Returns:
    selectedStyle value from local variable or value bindings

### setSelectedStyleClass

    public void setSelectedStyleClass(java.lang.String __selectedStyleClass)

  Corresponds to the HTML class attribute for the selected cell on scroller Setter for selectedStyleClass

  Specified by:
    `setSelectedStyleClass` in class `UIDatascroller`
  Parameters:
    `selectedStyleClass` - - new value

### getSelectedStyleClass

    public java.lang.String getSelectedStyleClass()

  Corresponds to the HTML class attribute for the selected cell on scroller Getter for selectedStyleClass

  Specified by:
    `getSelectedStyleClass` in class `UIDatascroller`
  Returns:
    selectedStyleClass value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Returns:
    status value from local variable or value bindings

### setStepControls

    public void setStepControls(java.lang.String __stepControls)

  Possible values are: "show" - default mode. Controls are visible always. "hide" - controls are hidden. "auto" - unnecessary controls are hidden Setter for stepControls

  Specified by:
    `setStepControls` in class `UIDatascroller`
  Parameters:
    `stepControls` - - new value

### getStepControls

    public java.lang.String getStepControls()

  Possible values are: "show" - default mode. Controls are visible always. "hide" - controls are hidden. "auto" - unnecessary controls are hidden Getter for stepControls

  Specified by:
    `getStepControls` in class `UIDatascroller`
  Returns:
    stepControls value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Specified by:
    `setStyle` in class `UIDatascroller`
  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Specified by:
    `getStyle` in class `UIDatascroller`
  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Specified by:
    `setStyleClass` in class `UIDatascroller`
  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Specified by:
    `getStyleClass` in class `UIDatascroller`
  Returns:
    styleClass value from local variable or value bindings

### setTableStyle

    public void setTableStyle(java.lang.String __tableStyle)

  CSS style(s) is/are to be applied to outside table when this component is rendered Setter for tableStyle

  Parameters:
    `tableStyle` - - new value

### getTableStyle

    public java.lang.String getTableStyle()

  CSS style(s) is/are to be applied to outside table when this component is rendered Getter for tableStyle

  Returns:
    tableStyle value from local variable or value bindings

### setTableStyleClass

    public void setTableStyleClass(java.lang.String __tableStyleClass)

  Space-separated list of CSS style class(es) that are be applied to outside table of this component Setter for tableStyleClass

  Specified by:
    `setTableStyleClass` in class `UIDatascroller`
  Parameters:
    `tableStyleClass` - - new value

### getTableStyleClass

    public java.lang.String getTableStyleClass()

  Space-separated list of CSS style class(es) that are be applied to outside table of this component Getter for tableStyleClass

  Specified by:
    `getTableStyleClass` in class `UIDatascroller`
  Returns:
    tableStyleClass value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout

  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Getter for timeout

  Returns:
    timeout value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UIDatascroller`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.